This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 575812 - transmission-gtk-1.92-1.fc12 crashed in gtk_cell_renderer_pixbuf_render()'s call to cairo_fill()
transmission-gtk-1.92-1.fc12 crashed in gtk_cell_renderer_pixbuf_render()'s c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:9e71f4b442c79f6fab929f7587b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 09:37 EDT by Eugene
Modified: 2010-12-03 11:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:55:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (43.52 KB, text/plain)
2010-03-22 09:37 EDT, Eugene
no flags Details

  None (edit)
Description Eugene 2010-03-22 09:37:18 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: transmission
component: transmission
executable: /usr/bin/transmission
kernel: 2.6.32.9-70.fc12.i686.PAE
package: transmission-gtk-1.92-1.fc12
rating: 4
reason: Process /usr/bin/transmission was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 Eugene 2010-03-22 09:37:20 EDT
Created attachment 401762 [details]
File: backtrace
Comment 2 Charles Kerr 2010-04-15 23:58:12 EDT
Money quote from the crash report:

> #20 0x00c61e53 in cairo_fill (cr=0x86e4800) at cairo.c:2143
> No locals.
> #21 0x068ef8e8 in gtk_cell_renderer_pixbuf_render (cell=0x85f7f80, 
>     window=0x86f11f8, widget=0x8692120, background_area=0xbfea9f98, 
>     cell_area=0xbfea9f98, expose_area=0xbfea9f98, 
>     flags=GTK_CELL_RENDERER_SELECTED) at gtkcellrendererpixbuf.c:768
>         cellpixbuf = 0x85f7f80
>         priv = 0x85f7fc8
>         pixbuf = 0x85e8b68
>         invisible = 0x0
>         colorized = 0x0
>         pix_rect = {x = 3, y = 93, width = 32, height = 32}
>         draw_rect = {x = 3, y = 93, width = 32, height = 32}
>         cr = 0x86e4800
> #22 0x068ebda6 in IA__gtk_cell_renderer_render (cell=0x85f7f80, 
>     window=0x86f11f8, widget=0x8692120, background_area=0xbfea9f98, 
>     cell_area=0xbfea9f98, expose_area=0xbfea9f98, 
>     flags=GTK_CELL_RENDERER_SELECTED) at gtkcellrenderer.c:578
>         selected = 1
>         priv = 0x85f7fb8
>         __PRETTY_FUNCTION__ = "IA__gtk_cell_renderer_render"
> #23 0x08074813 in render_full (cell=0x868f610, window=0x86f11f8, 
>     widget=0x8692120, background_area=0xbfeaa0d8, cell_area=0xbfeaa0e8, 
>     expose_area=0xbfeaa0f8, flags=GTK_CELL_RENDERER_SELECTED)
>     at torrent-cell-renderer.c:692

This is really similar to Bug #582438 but possibly not a duplicate.
Comment 3 Bug Zapper 2010-11-03 14:55:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 11:55:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.